<%= form_with method: 'get', skip_enforcing_utf8: true,
              local: true, class: "ui form --search",
              id: "report_search_form" do |form| %>
  <%= hidden_field_tag :template, @searchable.template %>
  <div class="fields">
    <% if current_user.advanced_user? %>
      <%= hidden_field_tag :htype, @searchable.htype %>
    <% else %>
      <div class="field">
        <%= label_tag t("report.htype_label") %>
        <div class="radio-group">
          <label class="radio-button">
            <%= radio_button_tag :htype, "1", @searchable.htype == 1, id: "hospital_type_rd" %>
            <span class="text">
              <%= t("report.hospital_type_label") %>
            </span>
          </label>
          <label class="radio-button">
            <%= radio_button_tag :htype, "4", @searchable.htype == 4, id: "clinic_type_rd" %>
            <span class="text">
              <%= t("report.clinic_type_label") %>
            </span>
          </label>
          <label class="radio-button">
            <%= radio_button_tag :htype, "3", @searchable.htype == 3, id: "public_health_center_type_rd" %>
            <span class="text">
              <%= t("report.public_health_center_type_label") %>
            </span>
          </label>
          <label class="radio-button">
            <%= radio_button_tag :htype, "0", @searchable.htype == 0, id: "other_type_rd" %>
            <span class="text">
              <%= t("report.other_label") %>
            </span>
          </label>
        </div>
      </div>
    <% end %>
    <div class="field">
      <%= label_tag t("report.hospital_label"), nil, required: true %>
      <%= select_tag :hospital, options_for_select([[t("report.all_label"), 'all']].concat @hospitals_select),
          { prompt: t('please_select_label'), class: 'ui search dropdown required hospital_selection --md', id: 'hospital_select', required: true } %>
    </div>
    <div class="field">
      <%= label_tag t("report.date_type_label"), nil, required: true %>
      <div class="radio-group --md">
        <label class="radio-button">
          <%= radio_button_tag :date_type, "survey", @searchable.date_type == 'survey', required: true %>
          <span class="text">
            <%= t("report.date_type_survey_date_label") %>
          </span>
        </label>
        <label class="radio-button">
          <%= radio_button_tag :date_type, "save", @searchable.date_type == 'save', required: true %>
          <span class="text">
            <%= t("report.date_type_save_label") %>
          </span>
        </label>
      </div>
    </div>
    <div class="field">
      <%= label_tag t("report.from_label"), nil, required: true %>
      <div id="from_date_component">
        <div class="ui input left icon">
          <i class="calendar icon"></i>
          <%= text_field_tag 'from_date', nil, placeholder: t('report.date_input_label'), required: true, autocomplete: 'off' %>
        </div>
      </div>
    </div>
    <div class="field">
      <%= label_tag t("report.to_label"), nil, required: true %>
      <div id="to_date_component">
        <div class="ui input left icon">
          <i class="calendar icon"></i>
          <%= text_field_tag 'to_date', nil, placeholder: t('report.date_input_label'), required: true, autocomplete: 'off' %>
        </div>
      </div>
    </div>
    <div class="field --right">
      <button type="submit" class="ui button --submit --md">
        <i class="icon search"></i>
        <%= t("report.search_label") %>
      </button>
    </div>
  </div>
<% end %>

<script>
  fromDate = "<%= @searchable.from_date %>";
  toDate = "<%= @searchable.to_date %>";
  hospitalSearch = "<%= @searchable.hospital %>";
</script>

<%= javascript_pack_tag 'admin', debug: true %>
